package com.sv.dto.api;

import java.io.Serializable;
import java.util.Date;

/**
 * DTO - 平台信息表
 *
 * @author lihong
 * @since 2018-08-02
 */
public class PlatformDTO implements Serializable {


    /**
     * 
     */
    private Integer id;

    /**
     * 平台来源
     */
    private String name;

    /**
     * 平台key
     */
    private String key;

    /**
     * 小程序appId
     */
    private String appId;

    /**
     * 小程序secret
     */
    private String secret;

    /**
     * 推送模板
     */
    private String templateId;

    /**
     * 创建者编号
     */
    private Integer createdId;

    /**
     * 创建者编号
     */
    private Integer modifiedId;

    /**
     * 创建时间
     */
    private Date createdTime;

    /**
     * 更新时间
     */
    private Date modifiedTime;

    /**
     * 删除标识位
     *
     * @see com.ydd.framework.core.entity.enums.DeletedEnum
     */
    private Integer deleted;

    /**
     * cacheKeyAccessToken
     */
    private String cacheKeyAccessToken;



    /**
     * 设置
     *
     * @param id 
     */
    public void setId(Integer id){
        this.id = id;
    }

    /**
     * 获取
     *
     * @return 
     */
    public Integer getId(){
        return id;
    }


    /**
     * 设置平台来源
     *
     * @param name 平台来源
     */
    public void setName(String name){
        this.name = name;
    }

    /**
     * 获取平台来源
     *
     * @return 平台来源
     */
    public String getName(){
        return name;
    }


    /**
     * 设置平台key
     *
     * @param key 平台key
     */
    public void setKey(String key){
        this.key = key;
    }

    /**
     * 获取平台key
     *
     * @return 平台key
     */
    public String getKey(){
        return key;
    }


    /**
     * 设置小程序appId
     *
     * @param appId 小程序appId
     */
    public void setAppId(String appId){
        this.appId = appId;
    }

    /**
     * 获取小程序appId
     *
     * @return 小程序appId
     */
    public String getAppId(){
        return appId;
    }


    /**
     * 设置小程序secret
     *
     * @param secret 小程序secret
     */
    public void setSecret(String secret){
        this.secret = secret;
    }

    /**
     * 获取小程序secret
     *
     * @return 小程序secret
     */
    public String getSecret(){
        return secret;
    }


    /**
     * 设置推送模板
     *
     * @param templateId 推送模板
     */
    public void setTemplateId(String templateId){
        this.templateId = templateId;
    }

    /**
     * 获取推送模板
     *
     * @return 推送模板
     */
    public String getTemplateId(){
        return templateId;
    }


    /**
     * 设置创建者编号
     *
     * @param createdId 创建者编号
     */
    public void setCreatedId(Integer createdId){
        this.createdId = createdId;
    }

    /**
     * 获取创建者编号
     *
     * @return 创建者编号
     */
    public Integer getCreatedId(){
        return createdId;
    }


    /**
     * 设置创建者编号
     *
     * @param modifiedId 创建者编号
     */
    public void setModifiedId(Integer modifiedId){
        this.modifiedId = modifiedId;
    }

    /**
     * 获取创建者编号
     *
     * @return 创建者编号
     */
    public Integer getModifiedId(){
        return modifiedId;
    }


    /**
     * 设置创建时间
     *
     * @param createdTime 创建时间
     */
    public void setCreatedTime(Date createdTime){
        this.createdTime = createdTime;
    }

    /**
     * 获取创建时间
     *
     * @return 创建时间
     */
    public Date getCreatedTime(){
        return createdTime;
    }


    /**
     * 设置更新时间
     *
     * @param modifiedTime 更新时间
     */
    public void setModifiedTime(Date modifiedTime){
        this.modifiedTime = modifiedTime;
    }

    /**
     * 获取更新时间
     *
     * @return 更新时间
     */
    public Date getModifiedTime(){
        return modifiedTime;
    }


    /**
     * 设置删除标识位
     *
     * @see com.ydd.framework.core.entity.enums.DeletedEnum
     * @param deleted 删除标识位
     */
    public void setDeleted(Integer deleted){
        this.deleted = deleted;
    }

    /**
     * 获取删除标识位
     *
     * @see com.ydd.framework.core.entity.enums.DeletedEnum
     * @return 删除标识位
     */
    public Integer getDeleted(){
        return deleted;
    }


    /**
     * 设置cacheKeyAccessToken
     *
     * @param cacheKeyAccessToken cacheKeyAccessToken
     */
    public void setCacheKeyAccessToken(String cacheKeyAccessToken){
        this.cacheKeyAccessToken = cacheKeyAccessToken;
    }

    /**
     * 获取cacheKeyAccessToken
     *
     * @return cacheKeyAccessToken
     */
    public String getCacheKeyAccessToken(){
        return cacheKeyAccessToken;
    }

}